/// <reference types="react" />
import { IInputProps } from '@chief-editor/ui';
import { IBaseToolProps, FormatName, FormatValue } from '../../types';
export declare type InputProps = Omit<IInputProps, 'value' | 'defaultValue'>;
export interface IInputToolProps<T extends FormatName> extends IBaseToolProps<T>, InputProps {
    formatValue?: (value: string) => FormatValue<T>;
    parseValue?: (value: FormatValue<T>) => string;
}
export declare function InputTool<T extends FormatName>(props: IInputToolProps<T>): JSX.Element;
